<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/homeScreenFragment">
    <fragment
        android:id="@+id/homeScreenFragment"
        android:name="com.example.niceuserform.fragments.HomeScreenFragment"
        android:label="HomeScreenFragment" >
        <action
            android:id="@+id/action_homeScreenFragment_to_loginScreenFragment"
            app:destination="@id/loginScreenFragment" />
        <action
            android:id="@+id/action_homeScreenFragment_to_registerScreenActivity"
            app:destination="@id/registerScreenActivity" />
    </fragment>
    <fragment
        android:id="@+id/loginScreenFragment"
        android:name="com.example.niceuserform.fragments.LoginScreenFragment"
        android:label="LoginScreenFragment" >
        <action
            android:id="@+id/action_loginScreenFragment_to_welcomeScreenFragment"
            app:destination="@id/welcomeScreenFragment" />
        <action
            android:id="@+id/action_loginScreenFragment_to_registerScreenActivity"
            app:destination="@id/registerScreenActivity" />
    </fragment>
    <fragment
        android:id="@+id/registerScreenActivity"
        android:name="com.example.niceuserform.fragments.RegisterScreenActivity"
        android:label="RegisterScreenActivity" >
        <action
            android:id="@+id/action_registerScreenActivity_to_welcomeScreenFragment"
            app:destination="@id/welcomeScreenFragment" />
        <action
            android:id="@+id/action_registerScreenActivity_to_loginScreenFragment"
            app:destination="@id/loginScreenFragment" />
    </fragment>
    <fragment
        android:id="@+id/welcomeScreenFragment"
        android:name="com.example.niceuserform.fragments.WelcomeScreenFragment"
        android:label="WelcomeScreenFragment" >
        <argument
            android:name="username"
            app:argType="string" />
    </fragment>
</navigation>